Subject: Re: How To: Re: LessTif build under Cygwin32?
From: [email-masked] (Suhaib M. Siddiqi)

29 Jan 1999 23:27:05 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: 7bit
To: "Jon A. Christopher" <[email-masked]>,
        "Stipe Tolj" <[email-masked]>
Cc: "tromey" <[email-masked]>,
        "Francois Felix Ingrand" <[email-masked]>,
        "Kilfoyle, Greg" <[email-masked]>,
        "lesstif" <[email-masked]>, "gnu-win32" <[email-masked]>

>> However, I'm very sad that the mounting points have to be binary. We
keep
>> usualy the aim to avoid binary mounts on Cygwin for our ports. May
this be
>> solved?
>
>I have no idea what this means.
>

If you plan to develop and not use binary mount point,  I would say,
that
expect a lot of pars errors and troublesome compilations.

Cygnus is based upon a simulated UNIX environment and doing a default
TEXT mount of a disk, is not really a proper way.  Beside, COOLVIEW
should be used
with binary mounts.  Read the Binary mount article at Sergey's web page.

I assume a lot of compilation failure which Cygwin32 users are reporting
are due to
configuration problems.

The LessTif-0.87 precompiled library will work properly only if you have
your
disks mounted as binary i.e. mount -b c: /
The distrubtion which I sent to Jon Christopher has libXlt.a missing.
However, I have sent him a
separate archive containg libXlt.a with headers and DLLs for
LessTif-0.871.  I think he will make it available
through www.lesstif.org.

The LessTif-0.87 librareis were tested and worked in my hand to compile
the following MOTIF based source codes:

Nedit-5.021
Xgraber
DDD Debuger 3.1.3
Mxdbg Debugger
SM Edit.
and few of my own source code.

Have fun.

Suhaib

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".